
Application: gvSIG desktop - gvSIG bugs #2199
[Charts] Problems with the DyNObject definition
01/15/2014 11:36 AM - José Badía

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: José Badía
Category: Document chart
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1. Class: org.gvsig.chart.ChartService
Persistent: yes.
Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory
Definition name: Persistence:ChartService
Description: ChartService Persistence definition (FIXME check keys type)
Field chartLegend of 'interface org.gvsig.chart.items.ChartLegendItem'.
Field chartRenderingInfo of 'interface org.gvsig.chart.ChartRenderingInfo'.
Field ChartProperties of 'interface org.gvsig.chart.ChartProperties'.
Field rangeAxis, container, can't has class for value of items.
Field chartDataSet of 'interface org.gvsig.chart.model.ChartDataSet'.
Field domainAxis, container, can't has class for value of items.
2. Class: org.gvsig.chart.base.bars.BarsChart
Persistent: yes.
Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory
Definition name: Persistence:BarsChart
Description: BarsChart Persistence definition (FIXME check keys type)
Field BarsChartProperties of 'class org.gvsig.chart.base.bars.BarsChartProperties'.
Field chartLegend of 'interface org.gvsig.chart.items.ChartLegendItem'.
Field chartRenderingInfo of 'interface org.gvsig.chart.ChartRenderingInfo'.
Field ChartProperties of 'interface org.gvsig.chart.ChartProperties'.
Field rangeAxis, container, can't has class for value of items.
Field chartDataSet of 'interface org.gvsig.chart.model.ChartDataSet'.
Field domainAxis, container, can't has class for value of items.
3. Class: org.gvsig.chart.base.bars.BarsChartProperties
Persistent: yes.
Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory
Definition name: Persistence:BarsChartProperties
Description: BarsChartProperties Persistence definition (FIXME check keys type)
Field legendTitleFont of 'class java.awt.Font'.
Field requiredFields, container, can't has class for value of items.
Field ChartLabellingFont of 'class java.awt.Font'.
Field plotBackgroundColor of 'class java.awt.Color'.
Field service of 'interface org.gvsig.chart.ChartService'.
4. Class: org.gvsig.chart.base.pie.PieChart
Persistent: yes.
Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory
Definition name: Persistence:PieChart
Description: PieChart Persistence definition (FIXME check keys type)
Field PieChartProperties of 'class org.gvsig.chart.base.pie.PieChartProperties'.
Field chartLegend of 'interface org.gvsig.chart.items.ChartLegendItem'.
Field chartRenderingInfo of 'interface org.gvsig.chart.ChartRenderingInfo'.
Field ChartProperties of 'interface org.gvsig.chart.ChartProperties'.
Field rangeAxis, container, can't has class for value of items.
Field chartDataSet of 'interface org.gvsig.chart.model.ChartDataSet'.
Field domainAxis, container, can't has class for value of items.
5. Class: org.gvsig.chart.base.pie.PieChartProperties
Persistent: yes.
Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory
Definition name: Persistence:PieChartProperties
Description: PieChartProperties Persistence definition (FIXME check keys type)
Field legendTitleFont of 'class java.awt.Font'.
Field requiredFields, container, can't has class for value of items.
Field ChartLabellingFont of 'class java.awt.Font'.
Field plotBackgroundColor of 'class java.awt.Color'.
Field service of 'interface org.gvsig.chart.ChartService'.
6. Class: org.gvsig.chart.base.temporal.TemporalChart
Persistent: yes.
Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory
Definition name: Persistence:TemporalChart
Description: TemporalChart Persistence definition (FIXME check keys type)
Field TemporalChartProperties of 'class org.gvsig.chart.base.temporal.TemporalChartProperties'.
Field chartLegend of 'interface org.gvsig.chart.items.ChartLegendItem'.
Field chartRenderingInfo of 'interface org.gvsig.chart.ChartRenderingInfo'.
Field ChartProperties of 'interface org.gvsig.chart.ChartProperties'.
Field rangeAxis, container, can't has class for value of items.
Field chartDataSet of 'interface org.gvsig.chart.model.ChartDataSet'.
Field domainAxis, container, can't has class for value of items.
7. Class: org.gvsig.chart.base.temporal.TemporalChartProperties
Persistent: yes.
Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory
Definition name: Persistence:TemporalChartProperties
Description: TemporalChartProperties Persistence definition (FIXME check keys type)
Field legendTitleFont of 'class java.awt.Font'.
Field requiredFields, container, can't has class for value of items.
Field ChartLabellingFont of 'class java.awt.Font'.
Field plotBackgroundColor of 'class java.awt.Color'.
Field service of 'interface org.gvsig.chart.ChartService'.
8. Class: org.gvsig.chart.base.xyplot.XYPlotChart
Persistent: yes.
Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory
Definition name: Persistence:XYPlotChart
Description: XYPlotChart Persistence definition (FIXME check keys type)
Field XYPlotChartProperties of 'class org.gvsig.chart.base.xyplot.XYPlotChartProperties'.
Field chartLegend of 'interface org.gvsig.chart.items.ChartLegendItem'.
Field chartRenderingInfo of 'interface org.gvsig.chart.ChartRenderingInfo'.
Field ChartProperties of 'interface org.gvsig.chart.ChartProperties'.
Field rangeAxis, container, can't has class for value of items.
Field chartDataSet of 'interface org.gvsig.chart.model.ChartDataSet'.
Field domainAxis, container, can't has class for value of items.
9. Class: org.gvsig.chart.base.xyplot.XYPlotChartProperties
Persistent: yes.
Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory
Definition name: Persistence:XYPlotChartProperties
Description: XYPlotChartProperties Persistence definition (FIXME check keys type)
Field legendTitleFont of 'class java.awt.Font'.
Field requiredFields, container, can't has class for value of items.
Field ChartLabellingFont of 'class java.awt.Font'.
Field plotBackgroundColor of 'class java.awt.Color'.
Field service of 'interface org.gvsig.chart.ChartService'.
10. Class: org.gvsig.chart.impl.AbstractChartProperties
Persistent: yes.
Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory
Definition name: Persistence:ChartProperties
Description: ChartProperties Persistence definition (FIXME check keys type)
Field legendTitleFont of 'class java.awt.Font'.
Field requiredFields, container, can't has class for value of items.
Field ChartLabellingFont of 'class java.awt.Font'.
Field plotBackgroundColor of 'class java.awt.Color'.
Field service of 'interface org.gvsig.chart.ChartService'.
11. Class: org.gvsig.chart.impl.overlay.OverlayChart
Persistent: yes.
Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory
Definition name: Persistence:GroupedCharts
Description: GroupedCharts Persistence definition (FIXME check keys type)
Field GroupedChartsProperties of 'interface org.gvsig.chart.GroupedChartsProperties'.
Field chartLegend of 'interface org.gvsig.chart.items.ChartLegendItem'.
Field chartRenderingInfo of 'interface org.gvsig.chart.ChartRenderingInfo'.
Field ChartProperties of 'interface org.gvsig.chart.ChartProperties'.
Field rangeAxis, container, can't has class for value of items.
Field chartDataSet of 'interface org.gvsig.chart.model.ChartDataSet'.
Field domainAxis, container, can't has class for value of items.
12. Class: org.gvsig.chart.impl.overlay.OverlayChartProperties
Persistent: yes.
Factory: org.gvsig.tools.persistence.impl.SimplePersistenceFactory
Definition name: Persistence:GroupedChartsProperties
Description: GroupedChartsProperties Persistence definition (FIXME check keys type)
Field series, container of 'org.gvsig.chart.renderer.ChartSerieEntity'.
Field NoDataMessageFont of 'class java.awt.Font'.
Field BackgroundColor of 'class java.awt.Color'.
Field charts, container, can't has class for value of items.
Field NoDataMessageColor of 'class java.awt.Color'.
Field MainTitleFontColor of 'class java.awt.Color'.
Field MainTitleFont of 'class java.awt.Font'.
Field MainTitleBackgroundColor of 'class java.awt.Color'.
Field NoDataMessageBackgroundColor of 'class java.awt.Color'.
Field legendTitleFont of 'class java.awt.Font'.
Field requiredFields, container, can't has class for value of items.
Field ChartLabellingFont of 'class java.awt.Font'.
Field plotBackgroundColor of 'class java.awt.Color'.
Field service of 'interface org.gvsig.chart.ChartService'.
History
#1 - 01/15/2014 11:39 AM - José Badía
- Description updated

#2 - 01/15/2014 11:53 AM - José Badía
- Status changed from New to Fixed
- % Done changed from 0 to 100

#3 - 01/27/2014 01:25 PM - Álvaro Anguix
- Status changed from Fixed to Closed
